### Method

# Meta CursorTracker get_pointer

#### Declaration [src]

    void
    meta_cursor_tracker_get_pointer (
      MetaCursorTracker* tracker,
      graphene_point_t* coords,
      ClutterModifierType* mods
    )

#### Description [src]

Get the current pointer position and state.

#### Parameters

`coords`

  Type: `graphene_point_t`

  The coordinates of the pointer.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.

`mods`

  Type: `ClutterModifierType`

  The current `ClutterModifierType` of the pointer.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.